Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::Codec::FormatMismatch Exception Reference

`#include <IOPC.h>`

List of all members.

## Public Methods
| FormatMismatch (void)
| FormatMismatch (const FormatMismatch &)
| ~FormatMismatch (void)
FormatMismatch & | operator= (const FormatMismatch &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
FormatMismatch * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

IOP::Codec::FormatMismatch::FormatMismatch | ( | void |  | ) |

IOP::Codec::FormatMismatch::FormatMismatch | ( | const FormatMismatch & |  | ) |

IOP::Codec::FormatMismatch::~FormatMismatch | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * IOP::Codec::FormatMismatch::_alloc | ( | void |  | ) | `[static]`

IOP::Codec::FormatMismatch * IOP::Codec::FormatMismatch::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void IOP::Codec::FormatMismatch::_raise | ( | void |  | ) | `[virtual]`

void IOP::Codec::FormatMismatch::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

void IOP::Codec::FormatMismatch::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * IOP::Codec::FormatMismatch::_tao_duplicate | ( | void |  | ) | const`[virtual]`

void IOP::Codec::FormatMismatch::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr IOP::Codec::FormatMismatch::_type | ( | void |  | ) | const`[virtual]`

FormatMismatch& IOP::Codec::FormatMismatch::operator= | ( | const FormatMismatch & |  | ) |

The documentation for this exception was generated from the following files:

- IOP.pidl
- IOPC.h
- IOPC.cpp